//*****************************************************************************
//
//	FirstPreference.m.  
//
//		Preferences logic.
//
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import "../SwapView.h"
#import "FirstPreference.h"
#import "FirstPanelController.h"

#define BUTTONPOSITION 0				// position of this inspectors' button




@implementation FirstPreference

//*****************************************************************************
//
// 		recieved immediately after class is dynamically loaded 
//
//*****************************************************************************

+ finishLoading:(struct mach_header *)header
{
	[self poseAs:[self superclass]];

	return self;
}
//*****************************************************************************
//
//		sent to us after nib objects are unarchived and init'd 
//
//*****************************************************************************
 
- awakeFromNib
{
	[super awakeFromNib];
	
    [super addInspector:"First" 
				atPosition:BUTTONPOSITION 
				withSelector:@selector(displayFirst:)];
	[[bView cellAt:0 :BUTTONPOSITION] setImage:[NXImage findImageNamed:"g4"]];
	[self displayFirst:bView];						// display default

    return self;
}
//*****************************************************************************
//
//		swap preferences subviews, dynamically load ours if necessary
//
//*****************************************************************************

- displayFirst:sender 
{
	[self loadPreference:"FirstPanelController" 
				 ofClass:[FirstPanelController class] 
				 buttonMatrix:sender];
				 
    return self;
}

@end

