//*****************************************************************************
//
//	GateDocEditor.h.  
//		
//		Create, edit and link using a Gate doc 
// 
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import <appkit/appkit.h>




@interface GateDocEditor:Object
{
    char Path[MAXPATHLEN + 1];		// generic buffer to hold paths
    char rBuf[MAXPATHLEN + 1];		// generic buffer 
    char gBuf[MAXPATHLEN + 1];		// generic buffer 
	id  theOptionsEditor;
	id	docName;					// doc name shown in panel
    id  docPath;					// path shown in panel
	id	theSavePanel; 
	id	theOpenPanel;   
	id	GDEImageView;   
	id	loginNameField;				// login name field in editor panel
	id	Parser;						
	id	passwordField;				// password field in editor panel
	id	phoneField;					// phone number field in editor panel
	id	editPanel;					// editor panel
	id	oldPassPanel;				// login name shown in panel
	id	oldPassField;
	NXModalSession session;
	char * loginName;
}

- newDoc:sender;
- openDoc:sender;
- linkDoc:sender;
- editGateDoc:(const char *)aGateDoc;
- addDefaultFiles:(const char *)nameOfFile;
- addToSecretsFile:(const char *)pathOfSecretsFile;

- (char *)secretOwnedBySelf;
- (char *)secretOwnedByOther;
- (BOOL)comparePasswords:(const char *)newPass;
- (const char *)concatSecret:(const char *)aString;
- setParserForOwner:(const char *)aString;
- setParserForOtherOwner:(const char *)aString;
- editField:sender; 
- ok:sender;
- beginEditing;
- (char *)optionsLoginName:(const char *)aPath;
- continueEditing;
- (const char *)pppupPath;
- (const char *)optionsPath;
- (const char *)docPath;
- editFilesForName:(const char *)aLoginName;
- editSecretsForName:(const char *)aLoginName;
- loginNameChanged;

- editPppup:sender; 
- editOptions:sender; 

@end
