//*****************************************************************************
//
//	InactivityPreference.m.  
//
//		Preferences logic.
//
//			by	Felipe A. Rodriguez		
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//*****************************************************************************

#import "../SwapView.h"
#import "InactivityPreference.h"
#import "InactivityPanelController.h"

#define BUTTONPOSITION 4					// position of inspectors' button




@implementation InactivityPreference 

//*****************************************************************************
//
// 		recieved immediately after class is dynamically loaded 
//
//*****************************************************************************

+ finishLoading:(struct mach_header *)header
{
	[self poseAs:[self superclass]];

	return self;
}
//*****************************************************************************
//
//		sent to us after nib objects are unarchived and init'd 
//
//*****************************************************************************
 
- awakeFromNib
{
	[super awakeFromNib];
	
    return [super addInspector:"Inactivity" 
					atPosition:BUTTONPOSITION 
					withSelector:@selector(displayInactivity:)];
}
//*****************************************************************************
//
//		swap preferences subviews, dynamically load ours if necessary
//
//*****************************************************************************

- displayInactivity:sender 
{
	[self loadPreference:"InactivityPanelController" 
				 ofClass:[InactivityPanelController class] 
				 buttonMatrix:sender];
				 
    return self;
}

@end

